Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Class ReturnTypeType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.ebxml._2._1.query.ReturnTypeType

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ReturnTypeType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Return Type Type', and utility methods for working with them.

See Also:
  `QueryPackage.getReturnTypeType()`

Field Summary
`static int` | `LEAF_CLASS` The 'Leaf Class' literal value.
`static ReturnTypeType` | `LEAF_CLASS_LITERAL` The 'Leaf Class' literal object.
`static int` | `LEAF_CLASS_WITH_REPOSITORY_ITEM` The 'Leaf Class With Repository Item' literal value.
`static ReturnTypeType` | `LEAF_CLASS_WITH_REPOSITORY_ITEM_LITERAL` The 'Leaf Class With Repository Item' literal object.
`static int` | `OBJECT_REF` The 'Object Ref' literal value.
`static ReturnTypeType` | `OBJECT_REF_LITERAL` The 'Object Ref' literal object.
`static int` | `REGISTRY_ENTRY` The 'Registry Entry' literal value.
`static ReturnTypeType` | `REGISTRY_ENTRY_LITERAL` The 'Registry Entry' literal object.
`static int` | `REGISTRY_OBJECT` The 'Registry Object' literal value.
`static ReturnTypeType` | `REGISTRY_OBJECT_LITERAL` The 'Registry Object' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Return Type Type' enumerators.

Method Summary
`static ReturnTypeType` | `get(int value)` Returns the 'Return Type Type' literal with the specified integer value.
`static ReturnTypeType` | `get(java.lang.String literal)` Returns the 'Return Type Type' literal with the specified literal value.
`static ReturnTypeType` | `getByName(java.lang.String name)` Returns the 'Return Type Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OBJECT_REF

    public static final int OBJECT_REF

  The 'Object Ref' literal value.

  If the meaning of 'Object Ref' literal object isn't clear, there really should be more of a description here...

  See Also:
    `OBJECT_REF_LITERAL`, Constant Field Values

### REGISTRY_OBJECT

    public static final int REGISTRY_OBJECT

  The 'Registry Object' literal value.

  If the meaning of 'Registry Object' literal object isn't clear, there really should be more of a description here...

  See Also:
    `REGISTRY_OBJECT_LITERAL`, Constant Field Values

### REGISTRY_ENTRY

    public static final int REGISTRY_ENTRY

  The 'Registry Entry' literal value.

  If the meaning of 'Registry Entry' literal object isn't clear, there really should be more of a description here...

  See Also:
    `REGISTRY_ENTRY_LITERAL`, Constant Field Values

### LEAF_CLASS

    public static final int LEAF_CLASS

  The 'Leaf Class' literal value.

  If the meaning of 'Leaf Class' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LEAF_CLASS_LITERAL`, Constant Field Values

### LEAF_CLASS_WITH_REPOSITORY_ITEM

    public static final int LEAF_CLASS_WITH_REPOSITORY_ITEM

  The 'Leaf Class With Repository Item' literal value.

  If the meaning of 'Leaf Class With Repository Item' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LEAF_CLASS_WITH_REPOSITORY_ITEM_LITERAL`, Constant Field Values

### OBJECT_REF_LITERAL

    public static final ReturnTypeType OBJECT_REF_LITERAL

  The 'Object Ref' literal object.

  See Also:
    `OBJECT_REF`

### REGISTRY_OBJECT_LITERAL

    public static final ReturnTypeType REGISTRY_OBJECT_LITERAL

  The 'Registry Object' literal object.

  See Also:
    `REGISTRY_OBJECT`

### REGISTRY_ENTRY_LITERAL

    public static final ReturnTypeType REGISTRY_ENTRY_LITERAL

  The 'Registry Entry' literal object.

  See Also:
    `REGISTRY_ENTRY`

### LEAF_CLASS_LITERAL

    public static final ReturnTypeType LEAF_CLASS_LITERAL

  The 'Leaf Class' literal object.

  See Also:
    `LEAF_CLASS`

### LEAF_CLASS_WITH_REPOSITORY_ITEM_LITERAL

    public static final ReturnTypeType LEAF_CLASS_WITH_REPOSITORY_ITEM_LITERAL

  The 'Leaf Class With Repository Item' literal object.

  See Also:
    `LEAF_CLASS_WITH_REPOSITORY_ITEM`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Return Type Type' enumerators.

Method Detail

### get

    public static ReturnTypeType get(java.lang.String literal)

  Returns the 'Return Type Type' literal with the specified literal value.

### getByName

    public static ReturnTypeType getByName(java.lang.String name)

  Returns the 'Return Type Type' literal with the specified name.

### get

    public static ReturnTypeType get(int value)

  Returns the 'Return Type Type' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD